//刷新加载首页
function reload() {
	plus.runtime.restart();
}

	/**
	 * @description 获取百度定位信息
	 * @param {Function} callback
	 */
	function getPosition(callback) {
		try {
			plus.geolocation.getCurrentPosition(function(position) {
				console.log(JSON.stringify(position));
				var codns = position.coords; //获取地理坐标信息
				callback(position);
				
			}, function(e) {
				console.log("获取定位位置信息失败：" + e.message);
				callback(false);
			}, {
				provider: 'baidu',
				timeout:5000
			});

		} catch (e) {
			callback(false);
			console.error(e.message);
		}
	}
	mui.getbaiduposition = getPosition;

function getbaidu () {
		//位置信息
		mui.getbaiduposition(function(data){
		
		var city=data.address.city+'|'+data.address.district;

		pin.setItem("address",JSON.stringify(data.address));

		mui.ajax(def.url+'/CityService.php',{
			data:{
				city:city,
				action:'post'
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				
				if (data.ret==1) {
					//alert(JSON.stringify(data));
					citysel(data.data);
				}else{
					setdef();
				}
				
			},
			error:function(xhr,type,errorThrown){
				//console.log(type);
			}
		});
		
	});
	
}
function citysel (data) {
	
	var cityid=pin.getItem("cityid");
	var btnArray = ['是','否'];

	if (data.areaid!=cityid) {
		mui.confirm('检测到您位于'+data.name+'站区域，是否切换到当前站', '城市切换', btnArray, function(e) {
						if (e.index == 0) {
							mui.toast('切换成功');
							
							pin.setItem("cityid",data.areaid);
							pin.setItem("cityname",data.name);
							pin.setItem("domain",data.domain);
							pin.setItem('cityzj',data.zhuanjia);
							setlocal();
							reload();
							
						} else {
							mui.toast('不切换');
						}
		});

	}
	
}
//设置分站名
function setlocal() {
	var cityname=pin.getItem('cityname');
	if (cityname!=null) {
		pin.g('location').innerHTML='您好！欢迎进入'+cityname+'种种网';
	}
}
//设置默认
function setdef() {
	pin.setItem("cityid","0");
	pin.setItem("cityname","");
	pin.setItem("domain",'http://www.zhongzhongw.com/');
}
